Subject: USB mouse and keyboard disconnected

From: Martin T <[email-masked]>
Date: Mon, 19 Sep 2016 13:47:05 +0000

Hi,

I made a fresh minimal(no desktop environment, open-source "radeon"
driver, CEDAR firmware, X and dwm) Debian 8.5 installation few days
ago. Since that I have had two occasions where all of the sudden USB
devices(USB keyboard and mouse) no longer work. I'm able to access my
PC over SSH(or use PS/2 keyboard) and at the time of the issue nothing
is logged(I checked kernel ring buffer, X log files, etc). When I
remove(modprobe -r) USB related modules(ehci_hcd, ehci_pci, usbhid,
usbcore, usb_common, hid) and then again load those modules, the USB
mouse and keyboard start to work. At the time of the issue power to
the USB ports is present, because mouse LED is lit and for example
magic SysRq key-combinations work. Kernel version is 3.16.0-4-amd64. I
also noticed that for example around three days and then again 5 hours
ago, since this issue, USB mouse was disconnected for a second:

[11206.404325] usb 1-1.1: USB disconnect, device number 3
[11206.629417] usb 1-1.1: new low-speed USB device number 5 using ehci-pci
[11206.727526] usb 1-1.1: New USB device found, idVendor=046d, idProduct=c03e
[11206.727539] usb 1-1.1: New USB device strings: Mfr=1, Product=2,
SerialNumber=0
[11206.727542] usb 1-1.1: Product: USB-PS/2 Optical Mouse
[11206.727544] usb 1-1.1: Manufacturer: Logitech
[11206.731189] input: Logitech USB-PS/2 Optical Mouse as
/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1/1-1.1:1.0/0003:046D:C03E.0004/input/input14
[11206.731608] hid-generic 0003:046D:C03E.0004: input,hidraw0: USB HID
v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on
usb-0000:00:1a.0-1.1/input0
[18378.452226] ip_tables: (C) 2000-2006 Netfilter Core Team
[110547.411844] perf interrupt took too long (2565 > 2500), lowering
kernel.perf_event_max_sample_rate to 50000
[241801.649235] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[243524.775521] usb 1-1.1: USB disconnect, device number 5
[243525.022937] usb 1-1.1: new low-speed USB device number 6 using ehci-pci
[243525.120715] usb 1-1.1: New USB device found, idVendor=046d, idProduct=c03e
[243525.120719] usb 1-1.1: New USB device strings: Mfr=1, Product=2,
SerialNumber=0
[243525.120722] usb 1-1.1: Product: USB-PS/2 Optical Mouse
[243525.120724] usb 1-1.1: Manufacturer: Logitech
[243525.124970] input: Logitech USB-PS/2 Optical Mouse as
/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1/1-1.1:1.0/0003:046D:C03E.0005/input/input15
[243525.125355] hid-generic 0003:046D:C03E.0005: input,hidraw0: USB
HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on
usb-0000:00:1a.0-1.1/input0

I didn't physically unplug the mouse. However, I'm not sure if those
are related to this issue. As I told, at the time of this issue
nothing is logged.

Last but not least, output of "lsusb" can be seen below:

# lsusb
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 005: ID 046d:c03e Logitech, Inc. Premium Optical Wheel
Mouse (M-BT58)
Bus 001 Device 003: ID 046d:c313 Logitech, Inc. Internet 350 Keyboard
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
#

Please let me know if anything was unclear or additional information is needed.

thanks,
Martin